Bug 967303 - allow_resize_to_same_host should be enabled in the nova conf
allow_resize_to_same_host should be enabled in the nova conf
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 4.0
Assigned To: RHOS Maint
Ami Jeain
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-26 08:34 EDT by Attila Fazekas
Modified: 2015-06-04 17:51 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 09:09:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Attila Fazekas 2013-05-26 08:34:55 EDT
Description of problem:

In an all-in-one environment I cannot use the resize with default install.
allow_resize_to_same_host should be set to true.

2013-05-26 12:31:53.952 WARNING nova.scheduler.manager [req-88530a67-12ff-46b0-822d-0e62b7e37b01 eb830d8d6df048ef8368287a74802710 0b4f2254484840d8b38285f27cbb3440] Failed to schedule_prep_resize: No valid host was found. 

I do not see why the allow_resize_to_same_host would be problematic in multinode environment.
Comment 3 Nikola Dipanov 2013-06-11 09:09:03 EDT
I think the idea behind this is that default values are supposed to make for a sane "vanilla" real world deployment, and I guess that this would mean a multi node set-up (having in mind that single node set-ups are considered purely proof-of-concept).

From that point of view - I am reluctant to change this value in nova, but I encourage the reporter to report it against packstack for --allinone setups.
Comment 4 Nikola Dipanov 2013-06-11 09:12:48 EDT
Addind to my comment #3 above - the reason this is a sane default for a multi-node setup is becuase it is a more common use-case to allow the scheduler to pick the host we will migrate/resize onto.

Note You need to log in before you can comment on or make changes to this bug.